Bug 52559 - NEW PORT: mail/nohtml
Summary: NEW PORT: mail/nohtml
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-22 07:30 UTC by toor
Modified: 2003-06-03 03:39 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description toor 2003-05-22 07:30:04 UTC
	Filter to strip HTML attachments from email.  Useful for people
        running mailing lists or other remailers who wish to suppress
        HTML.

How-To-Repeat: 
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	nohtml
#	nohtml/Makefile
#	nohtml/distinfo
#	nohtml/pkg-descr
#	nohtml/pkg-plist
#
echo c - nohtml
mkdir -p nohtml > /dev/null 2>&1
echo x - nohtml/Makefile
sed 's/^X//' >nohtml/Makefile << 'END-of-nohtml/Makefile'
X# New ports collection makefile for:	nohtml
X# Date Created:				17 February 2003
X# Whom:					tundra
X#
X# $FreeBSD: ports/x11-fm/nohtml/Makefile,v 1.1 2003/03/02 23:20:26 marcus Exp $
X#
X
XPORTNAME=	nohtml
XPORTVERSION=	1.11
XCATEGORIES=	mail
XMASTER_SITES=	http://www.tundraware.com/Software/nohtml/
X
XMAINTAINER=	nohtml@tundraware.com
XCOMMENT=	Strip HTML attachments from email
X
XUSE_PYTHON=	yes
X
XMANCOMPRESSED=	yes
XMAN1=		nohtml.1
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X	@${MKDIR} ${DOCSDIR}
X.for f in nohtml-license.txt nohtml.html nohtml.pdf nohtml.ps nohtml.txt
X	@${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
X.endfor
X.endif
X
X
X.include <bsd.port.mk>
END-of-nohtml/Makefile
echo x - nohtml/distinfo
sed 's/^X//' >nohtml/distinfo << 'END-of-nohtml/distinfo'
XMD5 (nohtml-1.11.tar.gz) = ac7d3100449ccd36f28ec686b56781aa
END-of-nohtml/distinfo
echo x - nohtml/pkg-descr
sed 's/^X//' >nohtml/pkg-descr << 'END-of-nohtml/pkg-descr'
X'nohtml' is a filter which strips HTML attachments from email
Xmessages.  It is primarily intended to be used with remailers like
Xmailing lists to suppress HTML from ever hitting those lists.
X
XWWW:  http://www.tundraware.com/Software/twander/
END-of-nohtml/pkg-descr
echo x - nohtml/pkg-plist
sed 's/^X//' >nohtml/pkg-plist << 'END-of-nohtml/pkg-plist'
Xbin/nohtml.py
X%%PORTDOCS%%share/doc/nohtml/nohtml-license.txt
X%%PORTDOCS%%share/doc/nohtml/nohtml.html
X%%PORTDOCS%%share/doc/nohtml/nohtml.pdf
X%%PORTDOCS%%share/doc/nohtml/nohtml.ps
X%%PORTDOCS%%share/doc/nohtml/nohtml.txt
X%%PORTDOCS%%@dirrm share/doc/nohtml
END-of-nohtml/pkg-plist
exit
Comment 1 Will Andrews freebsd_committer 2003-06-03 03:39:45 UTC
State Changed
From-To: open->closed

Committed, thanks.